<div class="container-xxl p-3 h-100">
  <div class="d-flex flex-column h-100 position-relative gap-4">
    <h4 class="title">База электронных компонентов</h4>
    <button pButton type="button"
            icon="pi pi-plus"
            (click)="showAddModal()"
            class="p-button-outlined p-button-rounded button-add">
    </button>
    <p-table *ngIf="products[0]; else noProducts" [value]="products">
      <ng-template pTemplate="header">
        <tr>
          <th pSortableColumn="company" style="min-width: 200px">Производитель<p-sortIcon field="company"></p-sortIcon></th>
          <th pSortableColumn="name" style="min-width: 200px">Наименование<p-sortIcon field="name"></p-sortIcon></th>
          <th>Стоимость</th>
          <th style="width: 160px"></th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-product>
        <tr>
          <td>{{product.company}}</td>
          <td>{{product.name}}</td>
          <td>{{product.price}}</td>
          <td>
            <div class="d-flex justify-content-between">
              <button pButton type="button"
                      (click)="deleteProduct(product)"
                      icon="pi pi-times"
                      class="p-button-text p-button-rounded"
                      style="color: #ee6060">
              </button>
              <button pButton type="button"
                      (click)="showUpdateModal(product)"
                      icon="pi pi-pencil"
                      class="p-button-text p-button-rounded"
                      style="color: #495057">
              </button>
            </div>
          </td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>

<p-dialog *ngIf="addModal" header="Добавление данных в базу" [(visible)]="addModal"	[modal]="true">
  <p-tabView class="mt-4">
    <p-tabPanel header="Добавить новый товар"
                [cache]="false">
      <ng-template pTemplate="content">
        <app-add-product></app-add-product>
      </ng-template>
    </p-tabPanel>
    <p-tabPanel header="Добавить нового производителя"
                [cache]="false">
      <ng-template pTemplate="content">
        <app-add-company></app-add-company>
      </ng-template>
    </p-tabPanel>
  </p-tabView>
</p-dialog>

<p-dialog *ngIf="updateModal" header="Обновление информации о товаре" [(visible)]="updateModal" [modal]="true">
  <app-update-product></app-update-product>
</p-dialog>

<p-toast position="top-left"></p-toast>

<ng-template #noProducts>
  <div class="empty-page">Товаров не найдено</div>
</ng-template>
